Taslak Metin

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Text and the translation is 50% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Rectangle.svg Rectangle
Next: Dimension Draft Dimension.svg Arrow-right.svg

Draft Text.svg Metin

Menü konumu
Taslak → Metin
Tezgahlar
Taslak, Mimari
Varsayılan kısayol
T E
Versiyonda tanıtıldı
-
Ayrıca bkz
Etiket, Şekil dizesi


Açıklama

Metin aracı, geçerli belgede belirli bir noktaya bir metin parçası ekler. Taslak araç çubuğunda Çizgi stili setini kullanır.

Bir başlık ve ok içeren bir metin etiketi oluşturmak için Etiket öğesini kullanın. Düz metin veya 3D harfler oluşturmak için Şekil dizesi ile Parça Çıkar kullanın.

Draft Text example.png

Metin kutusunu konumlandırmak için tek nokta gerekli


Warning: The texts created with version 0.18 are not backward compatible, so backup your work if you try to open files created with 0.18 with older versions.

Nasıl kullanılır

  1. Draft Text.png Metin düğmesine basın veya T ardından E tuşları.
  2. 3D görünümünde bir noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın.
  3. İstediğiniz metni girin, her satırda Enter tuşuna basın.
  4. İşlemi tamamlamak için Enter tuşuna iki kez basın.

Seçenekler

  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda Draft AddPoint.svg Nokta ekle düğmesine basabilirsiniz.
  • Metni yerleştirirken, Yakalama noktanızı mesafeden bağımsız olarak en yakın çıtçıt konumuna zorlamak için Ctrl tuşunu basılı tutun.
  • Yeni bir metin satırı girmek için Enter veya ↓ Down arrow tuşuna basınız.
  • Önceki metin satırını düzenlemek için ↑ Yukarı ok tuşuna basınız.
  • Metni düzenlemeyi bitirmek için Enter veya ↓ Aşağı ok tuşuna iki kez basın.
  • Geçerli komutu iptal etmek için Esc veya Close düğmesine basınız.

Özellikler

Veri

  • VERİText: Metin bloğunun içeriğini dizelerin bir listesi olarak belirtir; listedeki her öğe, virgülle ayrılmış olarak, yeni bir satır belirtir.
  • VERİPosition: metin bloğunun ilk satırının taban noktasını belirtir.
  • VERİAngle: metin bloğunun ilk satırının taban çizgisinin dönüşünü belirtir.
  • VERİAxis: döndürme için kullanılacak ekseni belirtir.

Görünüm

  • GÖRÜNÜMDisplay Mode: "3D metin" ise, metin başlangıçta XY düzleminde olacak şekilde sahne eksenlerine hizalanır; "2D metin" ise, metin her zaman kameraya dönük olacaktır.
  • GÖRÜNÜMFont Name: metni çizmek için kullanılacak fontu belirtir. "Arial" gibi bir font adı, "sans", "serif" veya "mono" gibi bir varsayılan stil, "Arial, Helvetica, sans" gibi bir aile veya "gibi bir stil içeren bir ad olabilir. Arial: "Kalın. Belirtilen font sistemde bulunmuyorsa, bunun yerine genel olan kullanılır.
  • GÖRÜNÜMFont Size: harflerin boyutunu belirtir. Metin nesnesi ağaç görünümünde oluşturulmuşsa, ancak hiçbir metin görünmüyorsa, görünene kadar metnin boyutunu artırın.
  • GÖRÜNÜMJustification: metnin sola, sağa veya taban noktasının ortasına hizalanıp hizalanmayacağını belirtir.
  • GÖRÜNÜMLine Spacing: metnin satırları arasındaki boşluğu belirtir.

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Metin aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
  • Bir Text nesnesini, bir FreeCAD.Vector ile tanımlanmış bir point nesnesinde oluşturur.
  • stringlist bir dizedir veya bir dize listesidir; eğer bir liste ise, her eleman kendi satırında görüntülenir.
  • screen True ise, metin her zaman kamera görüntüleme yönüne bakar, aksi takdirde sahne eksenleriyle aynı hizada olur ve XY düzleminde uzanır.

Text yerleşimi, Placement özniteliğinin üzerine yazarak veya Placement.Base ve Placement.Rotation 'nın üzerine yazılarak öznitelikler değiştirilebilir.

Text 'in görünüm özellikleri, niteliklerinin üzerine yazılarak değiştirilebilir; örneğin, ViewObject.FontSize üzerine, yeni boyutun milimetre cinsinden üzerine yazın.

Örnek:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
t1 = "This is a sample text"

p2 = FreeCAD.Vector(1000, 1000, 0)
t2 = ["First line", "second line"]

Text1 = Draft.makeText(t1, point=p1)
Text2 = Draft.makeText(t2, point=p2)
Text1.ViewObject.FontSize = 200
Text2.ViewObject.FontSize = 200

p3 = FreeCAD.Vector(-1000, -500, 0)
t3 = ["Upside", "down"]

Text3 = Draft.makeText(t3, point=p3)
Text3.ViewObject.FontSize = 200

ZAxis = FreeCAD.Vector(0, 0, 1)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 175))
Text3.Placement = place3

Text4 = Draft.makeText(t3, point=p3)
Text4.ViewObject.FontSize = 200
Text4.Placement.Rotation = FreeCAD.Rotation(ZAxis, -30)